# GimpUi.HelpFunc

    @accepts(unicode, gpointer)
    @returns(none)
    def on_HelpFunc(help_id, help_data):

This is the prototype for all functions you pass as @help_func to the various GIMP dialog constructors like GimpUi.Dialog.new, GimpUi.query_int_box etc.

Help IDs are textual identifiers the help system uses to figure which page to display.

All these dialog constructors functions call GimpUi.help_connect.

In most cases it will be ok to use GimpUi.standard_help_func which does nothing but passing the help_id string to Gimp.help. If your plug-in needs some more sophisticated help handling you can provide your own @help_func which has to call Gimp.help to actually display the help.

help_id

  the help ID

help_data

  the help user data